# coding: utf-8

"""
    OurSky SDA

    The basic flow for a new organization is as follows: 1. View the available satellite targets with the [satellite targets](#tag/satellite-targets/GET/v1/satellite-targets) endpoint. Copy the id of the target you want to observe. 2. Create an organization target with the [organization target](#tag/organization-targets/GET/v1/organization-targets) endpoint. Use the id copied from above. 3. Create a webhook with the [webhook](#tag/webhooks/POST/v1/communications/webhook) endpoint to receive OSRs automatically (preferred) or use the [OSRs](#tag/observation-sequence-results/GET/v1/observation-sequence-results) endpoint to poll for OSRs.  Check out our [examples](https://github.com/ourskyai/oursky-examples) repository to see usage in each language.

    The version of the OpenAPI document: 1.3.6669
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from datetime import datetime
from typing import Optional, Union
from pydantic import BaseModel, Field, StrictFloat, StrictInt, StrictStr

class V1SurveyInstructionStep(BaseModel):
    """
    Survey Instruction Step. Each step is associated with one observation.  # noqa: E501
    """
    ra: Optional[Union[StrictFloat, StrictInt]] = None
    dec: Optional[Union[StrictFloat, StrictInt]] = None
    az: Optional[Union[StrictFloat, StrictInt]] = None
    el: Optional[Union[StrictFloat, StrictInt]] = None
    node_id: Optional[StrictStr] = Field(None, alias="nodeId")
    time: Optional[datetime] = None
    duration_seconds: StrictInt = Field(..., alias="durationSeconds")
    __properties = ["ra", "dec", "az", "el", "nodeId", "time", "durationSeconds"]

    class Config:
        """Pydantic configuration"""
        allow_population_by_field_name = True
        validate_assignment = True

    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.dict(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> V1SurveyInstructionStep:
        """Create an instance of V1SurveyInstructionStep from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self):
        """Returns the dictionary representation of the model using alias"""
        _dict = self.dict(by_alias=True,
                          exclude={
                          },
                          exclude_none=True)
        return _dict

    @classmethod
    def from_dict(cls, obj: dict) -> V1SurveyInstructionStep:
        """Create an instance of V1SurveyInstructionStep from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return V1SurveyInstructionStep.parse_obj(obj)

        _obj = V1SurveyInstructionStep.parse_obj({
            "ra": obj.get("ra"),
            "dec": obj.get("dec"),
            "az": obj.get("az"),
            "el": obj.get("el"),
            "node_id": obj.get("nodeId"),
            "time": obj.get("time"),
            "duration_seconds": obj.get("durationSeconds")
        })
        return _obj


