# coding: utf-8

"""
    OurSky SDA

    The basic flow for a new organization is as follows: 1. View the available satellite targets with the [satellite targets](#tag/satellite-targets/GET/v1/satellite-targets) endpoint. Copy the id of the target you want to observe. 2. Create an organization target with the [organization target](#tag/organization-targets/GET/v1/organization-targets) endpoint. Use the id copied from above. 3. Create a webhook with the [webhook](#tag/webhooks/POST/v1/communications/webhook) endpoint to receive OSRs automatically (preferred) or use the [OSRs](#tag/observation-sequence-results/GET/v1/observation-sequence-results) endpoint to poll for OSRs.  Check out our [examples](https://github.com/ourskyai/oursky-examples) repository to see usage in each language.

    The version of the OpenAPI document: 1.3.6669
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json


from typing import List
from pydantic import BaseModel, Field, StrictStr, conlist
from ourskyai_sda_api.models.v1_observer_location import V1ObserverLocation
from ourskyai_sda_api.models.v1_time_tagged_ra_dec import V1TimeTaggedRaDec

class V1Track(BaseModel):
    """
    V1Track
    """
    id: StrictStr = Field(...)
    observations: conlist(V1TimeTaggedRaDec) = Field(...)
    observer_location: V1ObserverLocation = Field(..., alias="observerLocation")
    __properties = ["id", "observations", "observerLocation"]

    class Config:
        """Pydantic configuration"""
        allow_population_by_field_name = True
        validate_assignment = True

    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.dict(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> V1Track:
        """Create an instance of V1Track from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self):
        """Returns the dictionary representation of the model using alias"""
        _dict = self.dict(by_alias=True,
                          exclude={
                          },
                          exclude_none=True)
        # override the default output from pydantic by calling `to_dict()` of each item in observations (list)
        _items = []
        if self.observations:
            for _item in self.observations:
                if _item:
                    _items.append(_item.to_dict())
            _dict['observations'] = _items
        # override the default output from pydantic by calling `to_dict()` of observer_location
        if self.observer_location:
            _dict['observerLocation'] = self.observer_location.to_dict()
        return _dict

    @classmethod
    def from_dict(cls, obj: dict) -> V1Track:
        """Create an instance of V1Track from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return V1Track.parse_obj(obj)

        _obj = V1Track.parse_obj({
            "id": obj.get("id"),
            "observations": [V1TimeTaggedRaDec.from_dict(_item) for _item in obj.get("observations")] if obj.get("observations") is not None else None,
            "observer_location": V1ObserverLocation.from_dict(obj.get("observerLocation")) if obj.get("observerLocation") is not None else None
        })
        return _obj


