# coding: utf-8

"""
    OurSky SDA

    The basic flow for a new organization is as follows: 1. View the available satellite targets with the [satellite targets](#tag/satellite-targets/GET/v1/satellite-targets) endpoint. Copy the id of the target you want to observe. 2. Create an organization target with the [organization target](#tag/organization-targets/GET/v1/organization-targets) endpoint. Use the id copied from above. 3. Create a webhook with the [webhook](#tag/webhooks/POST/v1/communications/webhook) endpoint to receive OSRs automatically (preferred) or use the [OSRs](#tag/observation-sequence-results/GET/v1/observation-sequence-results) endpoint to poll for OSRs.  Check out our [examples](https://github.com/ourskyai/oursky-examples) repository to see usage in each language.

    The version of the OpenAPI document: 1.3.6669
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest
import datetime

from ourskyai_sda_api.models.v1_observation_feature import V1ObservationFeature  # noqa: E501

class TestV1ObservationFeature(unittest.TestCase):
    """V1ObservationFeature unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> V1ObservationFeature:
        """Test V1ObservationFeature
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `V1ObservationFeature`
        """
        model = V1ObservationFeature()  # noqa: E501
        if include_optional:
            return V1ObservationFeature(
                corrected_ra = 1.337,
                corrected_dec = 1.337,
                ra = 1.337,
                dec = 1.337,
                timestamp = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                bounding_box = ourskyai_sda_api.models.observation_bounding_box.observationBoundingBox(
                    start_x = 56, 
                    start_y = 56, 
                    end_x = 56, 
                    end_y = 56, ),
                apparent_magnitude = 1.337,
                distance_from_prediction = 1.337,
                target_correlations = [
                    ourskyai_sda_api.models.v1_target_correlation.V1TargetCorrelation(
                        target_id = '', 
                        ra = 1.337, 
                        dec = 1.337, 
                        streak_length = 1.337, 
                        distance_from_streak = 1.337, 
                        angle_from_streak = 1.337, )
                    ]
            )
        else:
            return V1ObservationFeature(
                ra = 1.337,
                dec = 1.337,
                timestamp = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
        )
        """

    def testV1ObservationFeature(self):
        """Test V1ObservationFeature"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
